/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.hibernate.jpa.unit.indexcoll;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

import org.hibernate.annotations.MapKey;

/**
 * 
 * @author taedium
 */
@Entity
public class Atmosphere implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    private Integer id;

    @ManyToMany
    @MapKey(columns = { @Column(name = "gas_name") })
    private Map<String, Gas> gasses = new HashMap<String, Gas>();

    public Map<String, Gas> getGasses() {
        return gasses;
    }

    public void setGasses(Map<String, Gas> gasses) {
        this.gasses = gasses;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

}
